
QGIS Application - Feature request #21587

GetPrint doesn't accept jpg format

2019-03-14 04:05 PM - Nicolas Boisteault

Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 29403

Description

Getprint request returns error message "Output format image/jpeg is not supported by the GetPrint request" when setting format to jpg,

jpeg or image/jpeg.

We can see here [1] that JPEG has been forgotten in QGIS 3.X.

[1] : https://github.com/qgis/QGIS/blob/master/src/server/services/wms/qgswmsgetprint.cpp#L37

History

#1 - 2019-03-14 04:28 PM - João Gaspar

I confirm this behaviour in OS Windows.

Seems like missing an extra else if

else if ( format == QgsWmsParameters::JPG )

   {

      contentType = "application/jpg";

    }

But in the other hand, I search in the section of the file qgswmsutils.cpp

and in this file refers to jpeg

Can be related as well?

#2 - 2019-03-15 08:05 AM - Alessandro Pasotti

- Tracker changed from Bug report to Feature request

@Joao, is not that easy unfortunately.

#3 - 2019-03-15 11:12 AM - David Marteau

image/jpeg was not in the available in getprint request since a long time (AMHA it was net even supported in 2.x). May be this was on purpose ?

#4 - 2019-03-18 09:49 AM - Nicolas Boisteault

@David 

Here are different GetPrint with QGIS Server 2.18.28 :
jpg (ok) : 

https://lizmap.observatoire-environnement.org/lm/index.php/lizmap/service/?repository=smiddest&#38;project=SMIDDEST_CARTO_EN_LIGNE&#38;S

RVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetPrint&#38;FORMAT=jpg&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931

RENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PA

52318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

0versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

0PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

,default,default&#38;OPACITIES=255,255,255,255

jpeg (nok) : 

https://lizmap.observatoire-environnement.org/lm/index.php/lizmap/service/?repository=smiddest&#38;project=SMIDDEST_CARTO_EN_LIGNE&#38;S

RVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetPrint&#38;FORMAT=jpeg&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.2993

ARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20P

752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

lt,default,default&#38;OPACITIES=255,255,255,255

image/jpeg (ok) : 

https://lizmap.observatoire-environnement.org/lm/index.php/lizmap/service/?repository=smiddest&#38;project=SMIDDEST_CARTO_EN_LIGNE&#38;S

RVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetPrint&#38;FORMAT=image/jpeg&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.

ANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%

671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

sins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

0du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255

default,default,default&#38;OPACITIES=255,255,255,255
https://lizmap.observatoire-environnement.org/lm/index.php/lizmap/service/?repository=smiddest&#38;project=SMIDDEST_CARTO_EN_LIGNE&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetPrint&#38;FORMAT=jpg&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255
https://lizmap.observatoire-environnement.org/lm/index.php/lizmap/service/?repository=smiddest&#38;project=SMIDDEST_CARTO_EN_LIGNE&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetPrint&#38;FORMAT=jpg&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255
https://lizmap.observatoire-environnement.org/lm/index.php/lizmap/service/?repository=smiddest&#38;project=SMIDDEST_CARTO_EN_LIGNE&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetPrint&#38;FORMAT=jpg&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG:3857&#38;DPI=100&#38;TEMPLATE=Impression&#38;map0:extent=-233930.183541,5552397.96003,-29387.408671,5752318.29931&#38;map0:scale=1155581.108416699&#38;map0:LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;map0:STYLES=default,default,default,default&#38;LAYERS=Périmètre%20du%20PAPI%20Estuaire%20de%20la%20Gironde,Bassins%20versants,Perimètre%20du%20SAGE,Masque%20du%20SAGE&#38;STYLES=default,default,default,default&#38;OPACITIES=255,255,255,255
